<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('poli', function (Blueprint $table) {
            if (!Schema::hasColumn('poli', 'kelompok')) {
                $table->string('kelompok', 150)->nullable();
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('poli', function (Blueprint $table) {
            if (Schema::hasColumn('poli', 'kelompok')) {
                $table->dropColumn('kelompok');
            }
        });
    }
};
